Bug 22687 - xinetd.conf: Please consider removing RECORD option
xinetd.conf: Please consider removing RECORD option
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xinetd (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
: Security
: 28049 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-21 14:51 EST by Chris Evans
Modified: 2007-04-18 12:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-21 07:55:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Evans 2000-12-21 14:51:40 EST
Hi,

Please see the summary line.

I think the RECORD option should be removed from the default config; it is
a security risk. As well as being a risk, it also brings very little
benefit to an installation, as it only kicks in when the target service
cannot be launched!

The reasons for this being a security risk are:
- Lots of parsing/logging of malicious remote supplied data (usernames,
commands, etc).
- In the case of "rexec", a 1-byte overflow (xinetd author informed)
- Dangerous "connect back" facility, which mixed in with a bit of spoofing,
can allow a malicious remote to force a host to make connections to
privileged ports from privileged ports.
Comment 1 Trond Eivind Glomsrxd 2000-12-26 18:17:59 EST
Done, in xinetd-2.1.8.9pre13-4
Comment 2 Henri Schlereth 2001-01-21 07:50:07 EST
However, removing the RECORD option generates the following error message:

Jan 21 05:29:38 test1 xinetd: xinetd shutdown succeeded
Jan 21 05:29:38 test1 xinetd[6231]: Bad log-on_failure flag: PID [line=11]

This is in beta2. I have no objections to removing the RECORD option but in xinetd-2.1.8.9pre13-5
the settings are:

log_on_success      = HOST PID
log_on_failure          = HOST PID

and that craps out with the error message above.
Comment 3 Henri Schlereth 2001-01-21 07:55:40 EST
Sorry I guess I need to be more exact. By crapping out I mean it generates the noted error message and continues.
Comment 4 Trond Eivind Glomsrxd 2001-01-30 13:50:08 EST
Fixed in  xinetd-2.1.8.9pre14-3
Comment 5 Trond Eivind Glomsrxd 2001-02-19 11:11:21 EST
*** Bug 28049 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.